<div class="popup normal delinkAlertPopup" >
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to de-link the selected asset</div>
    <div class="btnMain small">
      <button mat-raised-button color="warn" class="close" (click)="confirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal delinkServicePopup" >
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to de-link the selected service</div>
    <div class="btnMain small">
      <button mat-raised-button color="warn" class="close" (click)="confirmServiceDelink()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal linkAlertPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to link the selected <span class="count green-color">{{selectedAssetToLinkCount}}</span> asset</div>
    <div class="btnMain small">
      <button mat-raised-button color="primary" class="close" (click)="linkingConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal linkServicePopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to link the selected <span class="count green-color">{{selectedAssetToLinkCount}}</span> service</div>
    <div class="btnMain small">
      <button mat-raised-button color="primary" class="close" (click)="linkingServiceConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal deregisterAssetPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to deregister the selected asset</div>
    <div class="btnMain small">
      <button mat-raised-button color="warn" class="close" (click)="deregisteringAssetConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal deleteUserPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to delete the selected <span class="red-color FW500">{{usernameToDelete}}</span> user</div>
    <div class="btnMain small">
      <button mat-raised-button color="warn" class="close" (click)="deleteUserConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal registerExceptionBeconPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to register the selected Exception Beacons</div>
    <div class="btnMain small">
      <button mat-raised-button color="warn" class="close" (click)="registerExceptionBeaconConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="btn cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal deregisterExceptionBeaconPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to deregister the selected <span class="count red-color">{{selectedExceptionAssetsCount}}</span> Exception Beacon</div>
    <div class="btnMain small">
      <button mat-raised-button color="warn" class="close" (click)="deregisterExceptionBeaconConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal serverActionPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal">Do you want to <span class="count" [ngClass]="(serverAction.label === 'Start') ? 'green-color' : (serverAction.label === 'Stop') ? 'red-color' : (serverAction.label === 'Restart') ? 'blue-color' : ''"
                                                           *ngIf="serverAction">{{serverAction.label}}</span> the server</div>
    <div class="btnMain small">
      <button mat-raised-button [color]="(serverAction.label === 'Start') ? 'primary' : (serverAction.label === 'Stop') ? 'warn' : (serverAction.label === 'Restart') ? 'primary' : 'primary'" class="close"
           *ngIf="serverAction" (click)="serverActionConfirmed()">Yes</button>
      <button mat-raised-button color="accent" class="cancel close MR10">Cancel</button>
    </div>
  </div>
</div>

<div class="popup normal assetRegisterErrorMsgPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="marginBtm mainNormal"><span *ngFor="let error of assetRegisterErrorMsg" style="display: block">
      {{error}}
    </span></div>
    <div class="btnMain small">
      <button mat-raised-button color="accent" class="close">OK</button>
    </div>
  </div>
</div>

<div class="background"></div>

<!--<div class="modal fade" id="alertPopup" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        ...
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>-->
